

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
    <body>
        <script>
        //Return Statments.....

        // function add(a,b)
        // {
        //     return(a + b)
        // }
        // var c = add(10,20)
        // document.write(c)

        // function add(a,b)
        // {
        //     return(a + b)
        // }
        // document.write(add(10,20))

        // function add(a,b)
        // {
        //     return(a + b)
        // }
        // document.write( add(10,20) + "<br>")
        // document.write( add(20,30) + "<br>")
        // document.write( add(30,40))

        // function value(a,b){
        //     return([a] + [b])
        // }
        // document.write(value([10],[20]))

        //globle variavles.............

        // var a = "Global Variable";
        // function abc(){
        //     document.write(a + "<br>")
        // }
        // abc()
        // document.write(a + "<br>")

        // function xyz(){
        //     document.write(a + "<br>")
        // }
        // xyz()

        // if(true){
        //     document.write(a)
        // }

        //Local variavles.............

        // function abc(){
        //    var a = "Global Variable";
        //    document.write(a + "<br>")
        // }
        // abc()

        //Local and globle variavles.............
        // function abc(){
        //    a = "Global Variable";
        //    document.write(a + "<br>")
        // }
        // abc()

        // document.write(a + "<br>")

        // function xyz(){
        //     document.write(a + "<br>")
        // }
        // xyz()

        // if(true){
        //     document.write(a)
        // }

        // function outer(){
        //     var a = "outer function"
        //     document.write(a + "<br>")

        //     function inner(){
        //     var a = "inner function"
        //     document.write(a)
        //   }
        //   inner()
        // }
        // outer()

        //Block scope...........

        // if(true){
        //     var a = 10;
        //     document.write(a)
        // }
        // document.write(a)

        // if(true){
        //     let a = 10;
        //     document.write(a)
        // }
        // document.write(a)

        // if(true){
        //     const a = 10;
        //     document.write(a)
        // }

        //Variable Hosting............

        // var a =10;
        // document.write(a + " " + b + "<br>")//10 undefined
        // var b = 20;
        // document.write(a + " " + b)//10 20

        // a = 10;
        // document.write(a)
        // var a;

        // var a = "Kamal";
        // document.write(a + "<br>"); // kamal
        // function abc(){
        //     document.write(a) //kamal
        // }
        // abc()

        // var a = "Kamal";
        // document.write(a + "<br>"); //kamal
        // function abc(){
        //     document.write(a + "<br>") //undifine
        //     var a = "jimiwal"
        //     document.write(a) //jimiwal
        // }
        // abc()

        //Closure...............

        // var a = 10;
        // function abc(){
        //     var b = 20;
        //     document.write(b + "<br>")
        //     document.write(a)
        // }
        // abc()

        // function abc(){
        //     var a = "kamal";
        //     document.write(a + "<br>")
        //     function xyz(){
        //         var b = "jimiwal"
        //         document.write(b + "<br>")
        //         document.write(a + "<br>")
        //     }
        //     xyz()
        // }
        // abc()

        //Function Expression...........

        // var disp = function abc()
        // {
        //     document.write("Kamal")
        // }
        // disp();


        // function abc(k,a, ...kamal){
           
        //     document.write(k + "<br>",a  + "<br>",kamal)
        // }
        // abc(10,20,30,40,50,60)

        // function add(a,b = 0, c = ["kamal", "Jimiwal"])
        // {
        //     var a = arguments.length + 10 //13
        //     document.write("A: " + a + " B: " + b + " C: " + c) // a-13 
        // }
        // add([10,20,30, 40], 20, [50,60])
    
        </script>
    </body>
</html>